AutoCAD Inventor :: Placing Component In Multiple Views?
May 7, 2013
I have created an assembly with multiple views to show the multiple configurations of our products. However, half way down the line I realized I had forgotten to place a component. When I placed the component, I found that it had been placed in all the views automatically. Is there a way to select the views to place the components in or to prevent the component from being placed in any of the custom views except the default view?
I use a "dump assembly" of assemblies to create cut lists. I throw in multiple copies of each assembly for the job. Sometimes it can be 100 or so of each.These are not placed in any way and could be all placed at the origin. This is only for the parts list and servers no other function.
Any way to place multiple instances of an assembly at once?
We are developing a macro for steel structures and we know about the program to insert or place a content center component in assembly through VBA programming. If there are provisions for changing the object type and changing length in that importing process it will be very useful.
I created an assembly in Inventor and now I am creating a drawing for it in Inventor. I have a few views placed of the same assembly.
Is there a way to lock one view in the assembly? For example, my assembly consists of a door, I would like to have one view with the door open and another view with the door closed on the same drawing using the same assembly link.
Can I create more than one pattern from the same base component? For example, pattern a bolt in the center of a plate into one quadrant using pattern 1 and then into another quadrant using pattern 2.
I am trying to create a second base view (using Layout/Create View/Base from model space). The problem is, I need it to be rotated from the original base view. However, when I rotate the part in model space, ALL of my views change.
So I guess my question is, how do I create multiple views of the same part that are seperate from the other base views?
You are using an assembly with many LODs. Each time you place a component in your assembly , that one will be active in all level of Details.For some configurations, you would like one component to be active in only one LOD. Inc.
So I have been going round and round in circles on this one iam trying to use replace component within ilogic which is fine with switching one part for another but I want a drop down of parts so it replaces which ever one is active the problem I am having is establishing which one is active. So below is what I have so far but the problem is you cant seem to reference a part that is not in the assembly so I keep getting the error
The component named "Flange 1" was not found for example. I just need a way of establishing which one is currently in the assembly but with out referencing components that are not there.
If Component.IsActive("Flange 1")=True Then current = 1 If Component.IsActive("Flange 2")=True Then current = 2 If Component.IsActive("Flange 3")=True Then current = 3 If part = 1 And current = 2 Then Component.Replace("flange 2", "Flange 1.ipt", True) End If If part = 1 And current = 3 Then Component.Replace("flange 3", "Flange 1.ipt", True) End If If part = 2 And current = 1 Then Component.Replace("flange 1", "Flange 2.ipt", True) End If If part = 2 And current = 3 Then Component.Replace("flange 3", "Flange 2.ipt", True) End If If part = 3 And current = 1 Then Component.Replace("flange 1", "Flange 3.ipt", True) End If If part = 3 And current = 2 Then Component.Replace("flange 2", "Flange 3.ipt", True) End If
How do I make multiple views (Front, Top, Side & Isometric) when driving an assembly constraint? I want to be able to show an assembly moving from different perspectives all at one time.
Inventor 2013 Windows 7 Professional 64-bit SP1 HP EliteBook 8470w Processor: Intel(R) Core(TM) i7-3610QM CPU @ 2.30GHz Memory: 16 GB AMD FirePro M2000 3D Connexion SpacePilot
The sheet set manager is an awesome tool (i just started using it a week ago). The problem is, whenever I place a view on my sheet, (by right clicking>place on sheet) and it says "Scale: 1:1 Right-click to change scale", i right click and all i get is:
"Invalid point. Specify insertion point:"
But here's the twist: Sometimes it does work (like 10% of the time) but most of the time it annoyingly doesn't. here are some photos:
*i'm using Autocad 2014 32bit
*using Autocad 2011 32bit in our office but still experience the very same case.
as you can see i have already attaced the "site development plan" view here (after a few tries) cadtutor 1.jpg
this is how i place views on my sheets. i can also drag and drop, but i prefer right clicking it. (are there other ways? share them too!) cadtutor 2.jpg
here, i've already clicked place on sheet and it's asking me to right click if i want to change the scale. cadtutor 3.jpg of course i do and i need to, but this: cadtutor 4.jpg
like i said, sometimes it works. I do a few rituals (i just invented) before getting it to show this scales list like right clicking rapidly or holding rightclick repeatedly but not rapidly. and "SOMETIMES" it does work. but more often, it doesn't. cadtutor 5.jpg
We are having an issue when we replace a component in Inventor Pro 2012. When we replace a component, the name in the browser does not update to the new component. We've even tried to close and re-open the Inventor assembly and that does not work. We end up manual double clicking the name in the browser and type in the new component name.
Inventor Product Design Suite Ultimate 2012 Dell Precision T7500 Workstation Xeon Processor 16 GB of RAM Nvidia Quadro FX 5800 Windows 7 x64
II need a way to tell if a component occurence is a virtual component.
I'm using a For Each loop to cycle through all of the components in an assembly, and if the component is itself an assembly to set the LOD to "Custom". I'm using the definition document descriptor object for this. It all woks fine until the loop comes across a virtual component which doesn't have a definition document, so I need a way to check if the component is virtual and needs to be skipped.Here's the
Option ExplicitImports Inventor.LevelOfDetailEnumSub MainiLogicVb.UpdateWhenDone = TrueDim doc As AssemblyDocumentDim oLOD As LevelOfDetailRepresentationDim oAsmCompDef As ComponentDefinitionDim oComp As ComponentOccurrenceDim oComps As ComponentOccurrencesdoc = ThisDoc.DocumentIf. [code]....
I am trying to make port rims for pipes that can be swapped in and out of an assembly. However, the ports will all be different sizes and located differently so I need the cut to be part of the port rim component, but affect the entire assembly it is part of. I've been trying to get this to work for the better part of a day now,Here's a picture of what im talking about. I'm running Inventor 2008 by the way.
I'm hoping to be able to create 3D PDF to share with my clients. I want to be able to have them see 2D renderings and the 3D model at the same time with different views. Is this even possible?
I'm trying to print / plot a drawing which has a mixture of 2D plans and 2 3D views. I have the drawing set-up with viewports in paperspace. The objects in one of the 3D views prints perfectly, yet some of the linework from the second 3D view won't print.
how to get the sections to center or to add a x, y offset distance.The only options I have found for placement are lower left, lower right, upper left, upper right.
I have no issues when using autocad for simple 2d drafting, layers and commands seem straightforward enough, but I am having real difficulty with the 3d interface when set up with 4 viewports, similar to Rhino (top, front, right and perspective)
Question #1: can I link the viewports so that moving around in 1 moves the other simultaneously to the same zoom and location?
Question #2: can I set up the MButtonPAN (or similar for orbit) command to orbit ONLY when in a perspective viewport? (in rhino, the right mouse button always orbits in a perspective viewport, and pressing shift with right mouse button can pan, ideally this is what I need or some variant of it). It seems very cumbersome to have to use the orbit button every time I want to adjust my perspective view!
Basically I want to make my workflow as similar to Rhino as possible, as it has become deeply engrained, and so far the crossover is not going well.
I have three jpegs, not necessarily the same size/res. Here are the particlulars:
1) Bush, 600x914 @ 300 dpi,
2) Borat, 1024x799 @ 300 dpi,
3) Moore, 1172x778 @ 150 dpi.
I would like to place these images so that GW is between our pals. All three pics have different backgounds (caps from DVD etc).
So, ideally, I'd like to have all three images on the same (i.e. a new or different background - perhaps CLOUDS). I have a weird sense of humor.
The reason for this is that I am compiling a "Funky" movie with vids from news shows with bush, video caps from Farenheight and Borat. The images are being used as thumbnails for chapters, while the composite will be a splash screen for the begining and background for the main menu. Just something to amuze me..
I realize that there will be some differences once the images are all merged and I am more that willing to play and play and play. Just need somewhere to start.
When creating multiple sections using the draft option what settings control how the sections are placed? For example, 5 across, 4 down.
edit - I have several alignments. One that has 8 section views is created with 4 across and 3 down, another with 18 sections is created with 5 across and 4 down and a third with 34 is created with 6 across and down. I'd like to be able to control this if possible.
Every time I try to create multiple section views in Civil 3D 2014 the system hangs and never generates the views. It looks as if it's processing but it never stops and never generates.
I am working on a corridor project where I have to make section views of the road. I created my sample lines by range of stations, and made all of my section views from there. Now I need to add volume tables for each section view.
I have 28 section views, and more to come when I do another set of sample lines for another road, and I don't feel like going through each section view individually to make volume tables for them.
Is there a way I can create total volume tables for all of my section views at the same time? It would save a lot of time!
I have created multiple sections and produced drawings, but now need to amend the design and provide 1 additional section on the drawings. I added an additional sample line to the sample line group and then updated the secion view layout but the additional section did not show in the multiple section view. Is there a way to add the additional section to the existing multiple section view? or do I need to go through the process of deleting the current sections and creating a new multiple section view that includes the new sample line?
How can I set the multiple dimensions "ordinates" to scale correctly in base views. The old vanilla ordinate dims work fine, but power dims ordinate give me improper scaling.
I am attempting to create section views from a corridor. I have about 80 sections total that I would really like to stack 3 high...then just across the page. Any step by step that make this process easy to understand?
Right now I get 10 high then across the page (using 'draft' option). I've tried to make a dwt at a 10 scale, (setting the viewport at 10 scale and viewport as a 'section' in the properties), but when I use that, the sections start overlapping (this is using the 'production' option).
When opening several images in photoshop CS4 I would the images to float on screen, that is to say not to place the images stacked. I currently have to go to window in the menu and select float all in window every time. Can a default be selected that opens them and displays them floating.